Name:		cabal2spec
Version:	0.4
Release:	3%{?dist}
Summary:	RPM macros and specfile templating for Haskell Packaging

Group:		Development/Languages
License:	GPLv2+
# update to final guidelines when approved by FPC
URL:		https://fedoraproject.org/wiki/PackagingDrafts/Haskell
Source0:	http://petersen.fedorapeople.org/%{name}/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
Requires:	ghc > 6.10.1-7

%description
This package provides the RPM macros for packaging Cabal packages (hackages)
for ghc and specfile templates that can be used with cabal2spec for easy
packaging following the Fedora Haskell Packaging Guidelines.

%prep
%setup -q

%build
%{nil}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=${RPM_BUILD_ROOT}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/*
%{_sysconfdir}/rpmdevtools


%changelog
* Tue Jan 20 2009 Jens Petersen <petersen@redhat.com> - 0.4-3
- rename package to cabal2spec

* Tue Jan 20 2009 Jens Petersen <petersen@redhat.com> - 0.4-2
- remove old todo comments about splitting and ghc dep

* Tue Jan 20 2009 Jens Petersen <petersen@redhat.com> - 0.4-1
- move ghc_version back to templates for now
- leave macros.ghc in ghc
- require ghc

* Wed Jan 14 2009 Jens Petersen <petersen@redhat.com> - 0.3-1
- move and rename templates to /etc/rpmdevtools (#
- provide a tarball
- add -doc subpackages for libs

* Tue Jan 13 2009 Jens Petersen <petersen@redhat.com> - 0.1-1
- initial version separated from ghc
